(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      7887,        213]
NotebookOptionsPosition[      7342,        192]
NotebookOutlinePosition[      7874,        211]
CellTagsIndexPosition[      7831,        208]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rll", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"0", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"roo", "=", 
     RowBox[{"RotationTransform", "[", 
      RowBox[{"Pi", "/", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"vw", "=", 
     RowBox[{"roo", "[", 
      RowBox[{"bb", "-", "aa"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"ppq", "=", 
     RowBox[{"If", "[", 
      RowBox[{"reflect", ",", 
       RowBox[{"GeometricTransformation", "[", 
        RowBox[{
         RowBox[{"Polygon", "[", "rll", "]"}], ",", 
         RowBox[{"ReflectionTransform", "[", 
          RowBox[{"vw", ",", "bb"}], "]"}]}], "]"}], ",", 
       RowBox[{"Polygon", "[", "rll", "]"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Green", ",", 
        RowBox[{"Polygon", "[", "rll", "]"}], ",", "Blue", ",", "ppq", ",", 
        "\[IndentingNewLine]", "Purple", ",", "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"aa", ",", "bb"}], "}"}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"Axes", "\[Rule]", "True"}], ","}], "*)"}], " ", 
      "\[IndentingNewLine]", 
      RowBox[{"Frame", "\[Rule]", "True"}]}], "\[IndentingNewLine]", "]"}]}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"reflect", ",", 
     RowBox[{"{", 
      RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aa", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "8"}], ",", "0"}], "}"}]}], "}"}], ",", "Locator"}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"bb", ",", 
       RowBox[{"{", 
        RowBox[{"8", ",", "0"}], "}"}]}], "}"}], ",", "Locator"}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.604362816676038*^9, 3.60436284815112*^9}, {
  3.604364127960993*^9, 3.6043641293102303`*^9}, {3.604364160985705*^9, 
  3.604364196353198*^9}, {3.604364694925899*^9, 3.604364758135296*^9}, {
  3.604364921049527*^9, 3.6043649769538593`*^9}, {3.6043650463791523`*^9, 
  3.6043650487584352`*^9}, {3.60436524818318*^9, 3.604365256437488*^9}, {
  3.6044044621341057`*^9, 3.6044044632087393`*^9}, {3.604405595535193*^9, 
  3.604405596966462*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aa$$ = {-8, 0}, $CellContext`bb$$ = {8, 
    0}, $CellContext`reflect$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`reflect$$], {False, True}}, {{
       Hold[$CellContext`aa$$], {-8, 0}}, Automatic}, {{
       Hold[$CellContext`bb$$], {8, 0}}, Automatic}}, Typeset`size$$ = {
    505., {243., 253.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`reflect$70384$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aa$$ = {-8, 0}, $CellContext`bb$$ = {8, 
         0}, $CellContext`reflect$$ = False}, "ControllerVariables" :> {
        Hold[$CellContext`reflect$$, $CellContext`reflect$70384$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`roo = 
        RotationTransform[
         Pi/2]; $CellContext`vw = $CellContext`roo[$CellContext`bb$$ - \
$CellContext`aa$$]; $CellContext`ppq = If[$CellContext`reflect$$, 
          GeometricTransformation[
           Polygon[$CellContext`rll], 
           ReflectionTransform[$CellContext`vw, $CellContext`bb$$]], 
          Polygon[$CellContext`rll]]; Graphics[{Green, 
          Polygon[$CellContext`rll], Blue, $CellContext`ppq, Purple, 
          Line[{$CellContext`aa$$, $CellContext`bb$$}]}, 
         PlotRange -> {{-10, 10}, {-10, 10}}, Frame -> True]), 
      "Specifications" :> {{$CellContext`reflect$$, {
         False, True}}, {{$CellContext`aa$$, {-8, 0}}, Automatic, ControlType -> 
         Locator}, {{$CellContext`bb$$, {8, 0}}, Automatic, ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{579., {309., 317.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.6043652951165524`*^9, 3.604401759079514*^9, 3.6044044650237513`*^9, 
   3.604404973470169*^9, {3.604405598899848*^9, 3.6044056111052837`*^9}}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"THIS", " ", "NOTEBOOK", " ", 
  "IS"}], "\n", "\"\<Bard - Mathematica - Reflection Demo\>\"", "\
\[IndentingNewLine]", 
 RowBox[{"By", " ", 
  ButtonBox[
   RowBox[{"Ethan", " ", "Bloch"}],
   BaseStyle->"Hyperlink",
   ButtonData->{
     URL["http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"], 
     None},
   ButtonNote->
    "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]}]}], \
"Input",
 CellChangeTimes->{{3.604405344866323*^9, 3.604405346177021*^9}}]
},
WindowSize->{740, 867},
WindowMargins->{{215, Automatic}, {Automatic, 3}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> True}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 3582, 99, 478, "Input"],
Cell[4164, 123, 2642, 50, 684, "Output"]
}, Open  ]],
Cell[6821, 176, 517, 14, 90, "Input"]
}
]
*)

(* End of internal cache information *)
